events { }
http {
    include mime.types;
    types {
        application/wasm wasm;
    }

    server {
        listen 80;
        server_name localhost;
        root /usr/share/nginx/html;
        index index.html;

        # To jest najważniejsza część dla Blazora:
        location / {
            try_files $uri $uri/ /index.html =404;
        }
        
        # Opcjonalnie: cache dla plików statycznych
        location ~* \.(jpg|jpeg|png|gif|ico|css|js|wasm|dll)$ {
            expires 7d;
        }
    }
}